# ISLocalToGlobalMappingCreateIS

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingCreateIS(IS is,ISLocalToGlobalMapping *mapping)

Not collective

### Input Parameter

is -index set containing the global numbers for each local

### Output Parameter

mapping -new mapping data structure

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreate()

Level:advanced
Location: src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages